Bug 243007 - new port request - IfcOpenShell (for IFC and BIM modeling) as an optional dependency for FreeCAD
Summary: new port request - IfcOpenShell (for IFC and BIM modeling) as an optional dep...
Status: Closed Not Enough Information
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-31 17:38 UTC by kunda
Modified: 2020-05-23 06:58 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description kunda 2019-12-31 17:38:55 UTC
Website: http://ifcopenshell.org/

Git: https://github.com/IfcOpenShell/IfcOpenShell
Dependencies: https://github.com/IfcOpenShell/IfcOpenShell#dependencies

Installation: https://github.com/IfcOpenShell/IfcOpenShell#compiling-on-nix

Description:
IfcOpenShell is an open source (LGPL) software library that helps users and software developers to work with the IFC file format. The IFC file format can be used to describe building and construction data. The format is commonly used for Building Information Modelling.

IfcOpenShell uses Open CASCADE (the Open CASCADE Community Edition) internally to convert the implicit geometry in IFC files into explicit geometry that any software CAD or modelling package can understand.

Please note that IfcOpenShell is a work in progress. At the moment only files with the .ifc extension are supported (technically known as IFC-SPF). Support for IFC-XML and IFC-ZIP will be added in the future. Please note that at this moment IfcOpenShell may not fully understand all geometry that is present in an .ifc file, rest assured that it’ll do the very best it can and support for the other types of geometry is already on its way.

Currently on the menu is an importer for Autodesk 3ds Max, an importer for Blender and a stand-alone application to convert an IFC file into a Wavefront .obj file. Furthermore, software developers are explicitly encouraged to use the IfcOpenShell library in their own applications.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2020-01-03 01:24:12 UTC
In general, the PR database isn't the right place for new port requests that don't have patches.

Instead, I've added the listing to the following more approprite place in the wiki:

  https://wiki.freebsd.org/WantedPorts
Comment 2 commit-hook freebsd_committer 2020-05-23 06:58:24 UTC
A commit references this bug:

Author: lbartoletti
Date: Sat May 23 06:57:50 UTC 2020
New revision: 536269
URL: https://svnweb.freebsd.org/changeset/ports/536269

Log:
  [NEW PORT] cad/ifcopenshell: Open source IFC library and geometry engine

  IfcOpenShell is an open source (LGPL) software library for working with the
  Industry Foundation Classes (IFC) file format. Currently supported IFC
  releases are IFC2x3 TC1 and [IFC4 Add2 TC1].

  PR:		243007
  Reported by:	chitty_cloud@me.com
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D24687

Changes:
  head/cad/Makefile
  head/cad/ifcopenshell/
  head/cad/ifcopenshell/Makefile
  head/cad/ifcopenshell/distinfo
  head/cad/ifcopenshell/files/
  head/cad/ifcopenshell/files/patch-cmake_CMakeLists.txt
  head/cad/ifcopenshell/pkg-descr
  head/cad/ifcopenshell/pkg-plist